Package org.eclipse.cdt.core.dom.parser.c

# Class AbstractCParserExtensionConfiguration

java.lang.Object
org.eclipse.cdt.core.dom.parser.c.AbstractCParserExtensionConfiguration

All Implemented Interfaces:
  `ICParserExtensionConfiguration`

Direct Known Subclasses:
  `ANSICParserExtensionConfiguration`, `GCCParserExtensionConfiguration`

public abstract class AbstractCParserExtensionConfiguration extends Object implements ICParserExtensionConfiguration
Abstract C parser extension configuration to help model C dialects.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`AbstractCParserExtensionConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`IBuiltinBindingsProvider`
`getBuiltinBindingsProvider()`
Provide additional built-in bindings.
`boolean`
`supportAlignOfUnaryExpression()`
Support for GNU extension "Inquiring on Alignment of Types or Variables".
`boolean`
`supportAttributeSpecifiers()`
See http://gcc.gnu.org/onlinedocs/gcc/Attribute-Syntax.html for more information on GCC's Attribute Specifiers.
`boolean`
`supportDeclspecSpecifiers()`
Win32 compiler extensions also supported by GCC on Win32
`boolean`
`supportExtendedSizeofOperator()`
Support additional parameters for the sizeof operator: 'sizeof' '(' typeid ',' expression-list ')'
`boolean`
`supportFunctionStyleAssembler()`
Support function style assembler definitions: 'asm' ['volatile'] [return-type] name '(' parameter-list ')' '{' assembler-code '}'
`boolean`
`supportGCCOtherBuiltinSymbols()`
`boolean`
`supportGCCStyleDesignators()`
Support for GNU extension "Designated Initializers".
`boolean`
`supportKnRC()`
Support for Kernighan and Richie (K&R) C.
`boolean`
`supportParameterInfoBlock()`
Skips information in brackets provided at the beginning of a parameter declaration:
void accelerate([proc=marsh] const Speed &data);
`boolean`
`supportStatementsInExpressions()`
Support for GNU extension "Statements and Declarations in Expressions".
`boolean`
`supportTypeofUnaryExpressions()`
Support for GNU extension "Referring to a Type with typeof".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractCParserExtensionConfiguration

public AbstractCParserExtensionConfiguration()

## Method Details

### supportAlignOfUnaryExpression

public boolean supportAlignOfUnaryExpression()
Description copied from interface: `ICParserExtensionConfiguration`
Support for GNU extension "Inquiring on Alignment of Types or Variables".

Specified by:
  `supportAlignOfUnaryExpression` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Alignment.html"

### supportAttributeSpecifiers

public boolean supportAttributeSpecifiers()
Description copied from interface: `ICParserExtensionConfiguration`
See http://gcc.gnu.org/onlinedocs/gcc/Attribute-Syntax.html for more information on GCC's Attribute Specifiers.

Specified by:
  `supportAttributeSpecifiers` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled

### supportDeclspecSpecifiers

public boolean supportDeclspecSpecifiers()
Description copied from interface: `ICParserExtensionConfiguration`
Win32 compiler extensions also supported by GCC on Win32

Specified by:
  `supportDeclspecSpecifiers` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled

### supportGCCOtherBuiltinSymbols

public boolean supportGCCOtherBuiltinSymbols()

Specified by:
  `supportGCCOtherBuiltinSymbols` in interface `ICParserExtensionConfiguration`

### supportGCCStyleDesignators

public boolean supportGCCStyleDesignators()
Description copied from interface: `ICParserExtensionConfiguration`
Support for GNU extension "Designated Initializers".

Specified by:
  `supportGCCStyleDesignators` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Designated-Inits.html"

### supportKnRC

public boolean supportKnRC()
Description copied from interface: `ICParserExtensionConfiguration`
Support for Kernighan and Richie (K&R) C.

Specified by:
  `supportKnRC` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for K&R C should be enabled

### supportStatementsInExpressions

public boolean supportStatementsInExpressions()
Description copied from interface: `ICParserExtensionConfiguration`
Support for GNU extension "Statements and Declarations in Expressions".

Specified by:
  `supportStatementsInExpressions` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Statement-Exprs.html"

### supportTypeofUnaryExpressions

public boolean supportTypeofUnaryExpressions()
Description copied from interface: `ICParserExtensionConfiguration`
Support for GNU extension "Referring to a Type with typeof".

Specified by:
  `supportTypeofUnaryExpressions` in interface `ICParserExtensionConfiguration`
Returns:
  `true` if support for the extension should be enabled
See Also:
  - "http://gcc.gnu.org/onlinedocs/gcc/Typeof.html"

### getBuiltinBindingsProvider

public IBuiltinBindingsProvider getBuiltinBindingsProvider()
Description copied from interface: `ICParserExtensionConfiguration`
Provide additional built-in bindings.

Specified by:
  `getBuiltinBindingsProvider` in interface `ICParserExtensionConfiguration`
Returns:
  an instance of `IBuiltinBindingsProvider` or `null`

### supportParameterInfoBlock

public boolean supportParameterInfoBlock()
Skips information in brackets provided at the beginning of a parameter declaration:
void accelerate([proc=marsh] const Speed &data);

Specified by:
  `supportParameterInfoBlock` in interface `ICParserExtensionConfiguration`
Since:
  5.1

### supportExtendedSizeofOperator

public boolean supportExtendedSizeofOperator()
Support additional parameters for the sizeof operator: 'sizeof' '(' typeid ',' expression-list ')'

Specified by:
  `supportExtendedSizeofOperator` in interface `ICParserExtensionConfiguration`
Since:
  5.1

### supportFunctionStyleAssembler

public boolean supportFunctionStyleAssembler()
Support function style assembler definitions: 'asm' ['volatile'] [return-type] name '(' parameter-list ')' '{' assembler-code '}'

Specified by:
  `supportFunctionStyleAssembler` in interface `ICParserExtensionConfiguration`
Since:
  5.1